{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Manage Apis</title>
    <link href="{% static 'apiapp/css/manage_devicesets.css' %}" type="text/css" rel="stylesheet" />
    <!--FONT AWESOME ICONS https://fontawesome.com/v4.7/icon/home-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />

</head>

<body>
    <div class="main">
        <div class="sections box-shadow">
            <h3>Create Device Set</h3>
            <form action="" method="POST" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="form-row">
                    <div class="form-col"><label for="">Choose API</label></div>
                    <div class="form-col">
                        <select name="ds_apis_id" id="">
                            {% for api in apis %}
                            <option value="{{api.id}}">{{api.api_name}}</option>
                            {% endfor %}
                        </select>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col"><label for="">Name</label></div>
                    <span class="errors"> {{ form.ds_name.errors }}</span>
                    <div class="form-col">
                        <input type="text" name="ds_name" placeholder="" pattern="^[a-zA-Z0-9_]+$"
                            title="Device set name can only contain alphabets, numbers, and underscores." required />
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col"><label for="">Latitude </label></div>
                    <span class="errors"> {{ form.latitude.errors }}</span>
                    <div class="form-col">
                        <input type="number" name="latitude" placeholder="" step="any" required
                            title="Please enter the latitude in decimal degrees" />
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col"><label for="">Longitude</label></div>
                    <span class="errors"> {{ form.longitude.errors }}</span>
                    <div class="form-col">
                        <input type="number" name="longitude" placeholder="" step="any" required
                            title="Please enter the longitude in decimal degrees" />
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col"><label for="">Altitude</label></div>
                    <span class="errors"> {{ form.altitude.errors }}</span>
                    <div class="form-col">
                        <input type="number" name="altitude" placeholder="" step="any" required
                            title="Please enter the altitude in decimal degrees" />
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col"><label for="">Is combined</label></div>
                    <span class="errors"> {{ form.is_combined.errors }}</span>
                    <div class="form-col">
                        <select name="is_combined" id="is_combined">
                            <option value="1">Enable</option>
                            <option value="0">Disable</option>
                        </select>
                    </div>
                </div>
                <div class="form-row">
                    <input type="submit" value="create" />
                </div>
            </form>
        </div>

        <div class="sections box-shadow">

            <h3>Device Sets</h3>
            <table class="list-table">
                <thead>
                    <tr>
                        <th>API</th>
                        <th>Deviceset</th>
                        <th>Latitude</th>
                        <th>Longitude</th>
                        <th>Altitude</th>
                        <th>Is combined</th>
                        <th>Update</th>
                        <th>Delete</th>
                    </tr>
                </thead>
                <tbody>
                    {% for each in device_set %}
                    <tr>
                        <form action="/admin/api/devicesets/update" method="POST">
                            {% csrf_token %}
                            <input type="text" hidden readonly value="{{each.ds_id}}" name="ds_id">
                            <input type="text" hidden readonly value="{{each.api_id}}" name="ds_apis_id">
                            <td><input class="td-input" readonly type="text" style="border: none;"
                                    value="{{each.api_name}}" name="api_name" required> </td>
                            <td><input class="td-input" type="text" value="{{each.ds_name}}" name="ds_name" required
                                    pattern="^[a-zA-Z0-9_]+$"
                                    title="Device set name can only contain alphabets, numbers, and underscores.">
                            </td>
                            <td><input class="td-input" type="number" value="{{each.latitude}}" name="latitude" required
                                    step="any" title="Please enter the latitude in decimal degrees">
                            </td>
                            <td><input class="td-input" type="number" value="{{each.longitude}}" name="longitude"
                                    required step="any" title="Please enter the longitude in decimal degrees"></td>
                            <td><input class="td-input" type="number" value="{{each.altitude}}" name="altitude" required
                                    step="any" title="Please enter the altitude in decimal degrees">
                            </td>
                            <td>
                                <!-- <select name="is_combined" id="is_combined">
                                    <option value="0" {% if not each.is_combined %}selected{% endif %}>Disable</option>
                                    <option value="1" {% if each.is_combined %}selected{% endif %}>Enable</option>
                                </select>       
                                 -->
                                 <select name="is_combined" id="is_combined">
                                    {% if each.is_combined %}
                                        <option value="True">Enable</option>
                                        <option value="False">Disable</option>                                
                                    {% else %}
                                        <option value="False">Disable</option>
                                        <option value="True">Enable</option>
                                    {% endif %}
                                    </select>
                            </td>
                            <td><button><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button></td>
                            <td><a href="/admin/api/deviceset/delete/{{ each.ds_id }}"><button type="button"><i
                                            class="fa fa-trash-o" aria-hidden="true"></i></button></a></td>
                        </form>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>

        </div>
        <br><br><br>

        <!--SNACKBAR MESAGE-->
        <link href="{% static 'common/css/snackbar.css' %}" type="text/css" rel="stylesheet">
        <div id="snackbar"></div>
        <script src="{% static 'common/js/snackbar.js' %}"></script>


        {% for message in messages %}
        <script>showSnackBar("{{ message }}");</script>
        {% endfor %}

    </div>
</body>

</html>